Bug 831904 - [abrt] yum-3.4.3-26.fc17: progress.py:627:update:AttributeError: RateEstimator instance has no attribute 'last_update_time'
[abrt] yum-3.4.3-26.fc17: progress.py:627:update:AttributeError: RateEstimato...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:be6e4d2f61e2c4be20a222a3e2d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 23:27 EDT by Mikhail
Modified: 2014-01-21 18:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 20:42:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-06-13 23:27:37 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /bin/yum update --skip-broken --enablerepo=*debuginfo
executable:     /bin/yum
kernel:         3.4.0-1.fc17.i686.PAE
time:           Ср. 13 июня 2012 10:18:04
uid:            0
username:       root

backtrace:
:progress.py:627:update:AttributeError: RateEstimator instance has no attribute 'last_update_time'
:
:Traceback (most recent call last):
:  File "/bin/yum", line 29, in <module>
:    yummain.user_main(sys.argv[1:], exit_code=True)
:  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
:    errcode = main(args)
:  File "/usr/share/yum-cli/yummain.py", line 146, in main
:    result, resultmsgs = base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/yumcommands.py", line 405, in doCommand
:    return base.updatePkgs(extcmds, update_to=(basecmd == 'update-to'))
:  File "/usr/share/yum-cli/cli.py", line 890, in updatePkgs
:    self.update()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 4364, in update
:    updates = self.up.getUpdatesTuples()
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1032, in <lambda>
:    up = property(fget=lambda self: self._getUpdates(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 837, in _getUpdates
:    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1013, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 777, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 300, in populateSack
:    self.doSetup()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 125, in doSetup
:    self.retrieveAllMD()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 94, in retrieveAllMD
:    urlgrabber.grabber.parallel_wait()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2198, in parallel_wait
:    perform()
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 2156, in perform
:    m.end(size)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 148, in end
:    self.re.update(amount_read, now)
:  File "/usr/lib/python2.7/site-packages/urlgrabber/progress.py", line 627, in update
:    time_diff = now         - self.last_update_time
:AttributeError: RateEstimator instance has no attribute 'last_update_time'
:
:Local variables in innermost frame:
:amount_read: 1000131
:self: <urlgrabber.progress.RateEstimator instance at 0x8a2270c>
:now: 1339561084.254997

smolt_data:
:
:
:General
:=================================
:UUID: 24b82623-fdb0-487f-b726-0d6b01472500
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4787.62
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4600  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 1980
:System Swap: 3999
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.4.0-1.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10672:32902:20298) pci, None, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10673:32902:20298) pci, pcieport, PCI/PCI, 82Q35 Express PCI Express Root Port
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10544:32902:20298) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:32902:20298) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10516:32902:20298) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:4285:32902:1) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:9294:32902:20298) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:32902:10564) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:32902:10566) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:32902:20298) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10568:32902:10568) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:32902:18) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, radeon, VIDEO, NI Turks [AMD Radeon HD 6500]
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5112811 2303936 2252743 1286144 972510 972510
:/dev/sda5 /home ext4 4096 4096 27766364 2614913 1224526 6955008 6853257 6853257
:
Comment 1 Fedora Update System 2012-06-15 03:25:25 EDT
python-urlgrabber-3.9.1-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-urlgrabber-3.9.1-13.fc17
Comment 2 Fedora Update System 2012-06-15 19:48:24 EDT
Package python-urlgrabber-3.9.1-13.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-urlgrabber-3.9.1-13.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9500/python-urlgrabber-3.9.1-13.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-06-25 20:42:38 EDT
python-urlgrabber-3.9.1-13.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.